# AllyStatMultiplierAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AllyStatMultiplierAbAttr

Multiplies a Stat from an ally pokemon's ability.

#### See

- applyAllyStatMultiplierAbAttrs
- applyAllyStat

#### Hierarchy (View Summary)

- AbAttr
  - AllyStatMultiplierAbAttr

- Defined in src/data/ability.ts:1746

##### Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyAllyStat
canApply
canApplyAllyStat
getCondition
getTriggerMessage

## Constructors

### constructor

- new AllyStatMultiplierAbAttr(
  stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA ,
  multiplier: number,
  ignorable?: boolean,
  ): AllyStatMultiplierAbAttr

  #### Parameters

  - stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA

    The stat being modified

  - multiplier: number
  - ignorable: boolean = true

    Whether the multiplier can be ignored by mold breaker-like moves and abilities

  #### Returns AllyStatMultiplierAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:1756

## Properties

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:199

### applyAllyStat

- applyAllyStat(
  _pokemon: default ,
  _passive: boolean,
  _simulated: boolean,
  _stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA ,
  statValue: NumberHolder ,
  _checkedPokemon: default ,
  _ignoreAbility: boolean,
  _args: any[],
  ): void

  Multiply a Pokemon's Stat due to an Ally's ability.

  #### Parameters

  - _pokemon: default

    The ally `Pokemon` with the ability (unused)

  - _passive: boolean
  - _simulated: boolean

    Whether the ability is being simulated (unused)

  - _stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA

    The type of the checked `Stat` (unused)

  - statValue: NumberHolder

    `Utils.NumberHolder` containing the value of the checked stat

  - _checkedPokemon: default

    The `Pokemon` this ability is targeting (unused)

  - _ignoreAbility: boolean

    Whether the ability should be ignored if possible

  - _args: any[]

    unused

  #### Returns void

  `true` if this changed the checked stat, `false` otherwise.

  - Defined in src/data/ability.ts:1776

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from AbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyAllyStat

- canApplyAllyStat(
  pokemon: default ,
  _passive: boolean,
  simulated: boolean,
  stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA ,
  statValue: NumberHolder ,
  checkedPokemon: default ,
  ignoreAbility: boolean,
  args: any[],
  ): boolean

  Check if this ability can apply to the checked stat.

  #### Parameters

  - pokemon: default

    The ally `Pokemon` with the ability (unused)

  - _passive: boolean
  - simulated: boolean

    Whether the ability is being simulated (unused)

  - stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA

    The type of the checked `Stat`

  - statValue: NumberHolder

    `Utils.NumberHolder` containing the value of the checked stat

  - checkedPokemon: default

    The `Pokemon` this ability is targeting (unused)

  - ignoreAbility: boolean

    Whether the ability should be ignored if possible

  - args: any[]

    unused

  #### Returns boolean

  `true` if this can apply to the checked stat, `false` otherwise.

  - Defined in src/data/ability.ts:1792

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(
  _pokemon: default ,
  _abilityName: string,
  ..._args: any[],
  ): null | string

  #### Parameters

  - _pokemon: default
  - _abilityName: string
  - ..._args: any[]

  #### Returns null | string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:201